Bug 167614 - Doesn't compress zero-sized files even with -f
Doesn't compress zero-sized files even with -f
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ncompress (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
NdRvw,RHEL3U7NAK
: Reopened
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2005-09-06 06:38 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0413
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ncompress-4.2.4-zerobyteforce.patch (patch from sprabhu@redhat.com) (336 bytes, patch)
2005-09-06 06:38 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-09-06 06:38:11 EDT
$ touch foo
$ compress -f foo
$ ls -l foo.Z
ls: foo.Z: No such file or directory
$ ls -l foo
0 -rw-r--r--  1 bnocera bnocera 0 Sep  6 11:31 foo

Patch attached below.
Comment 1 Bastien Nocera 2005-09-06 06:38:12 EDT
Created attachment 118490 [details]
ncompress-4.2.4-zerobyteforce.patch (patch from sprabhu@redhat.com)
Comment 6 Peter Vrabec 2006-10-30 08:11:10 EST
easy to reproduce and fix. It's already fixed in RHEL>4
Comment 13 Red Hat Bugzilla 2007-06-11 14:52:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0413.html
Comment 14 Issue Tracker 2007-06-17 00:58:56 EDT
Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'RHEL 3.9'
Ticket type set to: 'Problem'

This event sent from IssueTracker by rchidamb 
 issue 79196

Note You need to log in before you can comment on or make changes to this bug.